using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using EVCB_OCPP.Packet.Features;
using Newtonsoft.Json;

namespace EVCB_OCPP.Packet.Messages.Core
{
    public class AuthorizeRequest : IRequest
    {
        public AuthorizeRequest()
        {
            Action = Actions.Authorize.ToString();
        }

        [JsonIgnore]
        public string Action { set; get; }

       
        [Required(AllowEmptyStrings = true)]
        [MaxLength(20)]
        public string idTag { set; get; }

       

        public bool TransactionRelated()
        {
            return false;
        }

        public bool Validate()
        {
            return Validator.TryValidateObject(this, new ValidationContext(this), null, true);
        }
    }
}
